grk::HWY_NAMESPACE::CompressRev Class Reference

Apply MCT with optional DC shift to reversible compressed image. More...

## Public Member Functions

void | transform (ScheduleInfo info)

## Detailed Description

Apply MCT with optional DC shift to reversible compressed image.

## Member Function Documentation

## transform()

void grk::HWY_NAMESPACE::CompressRev::transform | ( | ScheduleInfo | info | ) |

inline

References grk::grk_read(), HWY_FULL, hwy::HWY_NAMESPACE::Lanes(), hwy::HWY_NAMESPACE::Load(), hwy::HWY_NAMESPACE::Set(), grk::shift, hwy::HWY_NAMESPACE::Store(), and hwy::HWY_NAMESPACE::v.

The documentation for this class was generated from the following file:

- mct.cpp